package com.qgs.dc.mq.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.qgs.dc.mq.entity.common.Header;
import com.qgs.dc.mq.entity.common.Returns;
import lombok.Data;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2021/8/12 15:38
 */
@Data
@JSONType(orders={"header","body","returns"})
public class MQToMesMessage {
    private Header header;
    private String body;
    //在序列化和反序列化 的时候 都会把 json 里面的return字段转成 object 里面的returns字段
    private Returns returns;

    public MQToMesMessage(Header header, String body, Returns returns) {
        this.header = header;
        this.body = body;
        this.returns = returns;
    }
}